==================== 2.25.92 ====================

2008-09-07  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	* Makefile.am: Modernize autofoo, bug #550919
	move INCLUDES to AM_CPPFLAGS, patch by
	Marc-Andre Lureau <marcandre.lureau@gmail.com>

2007-09-26  Kjartan Maraas  <kmaraas@gnome.org>

	* cddb-slave-capplet.c: (read_from_server), (open_cb), (notify_cb),
	(create_dialog), (main):
	* cddb-track-editor.c: (main):
	* main.c: (main): Unref the GnomeProgram to avoid a leak.

2007-01-08  William Jon McCann  <mccann@jhu.edu>

	* cddb-slave.desktop.in.in:
	Set NoDisplay=true by default.  Fixes #339859

2006-08-25  Kjartan Maraas  <kmaraas@gnome.org>

	* main.c: (factory_fn): Fix a couple leaks. Closes
	bug #352836.

2006-05-02  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* cddb-track-editor.c: (track_name_edited): Use 
	gtk_tree_model_get_iter () return value to shut down warnings (#336000).

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications
	
	* cddb-slave.desktop.in: add OnlyShowIn=GNOME;

2004-06-30 Archana Shah <archana.shah@wipro.com>

	* inetaddr.c :(gnet_have_ipv6): Added to check for run time
	  IPv6 support.

	(gnet_gethostbyname): Used getaddrinfo to resolve IPv6 addresses.
	  Changed the signature to accept sockaddr* argument instead of
	  sockaddr_in*.

	(gnet_gethostbyaddr): Used getaddrinfo to resolve IPv6 addresses.

	(gnet_inetaddr_async_child): If IPv6 entry is found then changed
	  to write that address as well.

	(gnet_inetaddr_new_nonblock): Changed for IPv6 addresses and
	  also fixed the illegal assignment into the constant pointer
	  "name".

	(gnet_inetaddr_get_name_async): Tries to resolve the name for
	  the address, according to the address family and writes
	  that to the pipe.

	(gnet_inetaddr_new), 
	(gnet_inetaddr_new_async),
	(gnet_inetaddr_get_canonical_name),
	(gnet_inetaddr_get_port),
	(gnet_inetaddr_set_port),
	(gnet_inetaddr_is_canonical),
	(gnet_inetaddr_is_private),
	(gnet_inetaddr_is_reserved),
	(gnet_inetaddr_is_loopback),
	(gnet_inetaddr_is_multicast):
	  All are modified to deal with IPv6 addresses.

	* tcp.c: (gnet_tcp_socket_new_async):
	  Changed for IPv6.

	* gnet-private.c:
	(gnet_private_inetaddr_sockaddr_new),
	(gnet_private_inetaddr_get_sockaddr): Changed to handle
	  IPv6 modifications.

	* socks-private.c: (gnet_private_negotiate_socks4),
	(gnet_private_negotiate_socks5): Changed for IPv6.

	* gnet-private.h: Added the prototype of gnet_have_ipv6(). Changed
	  the prototype of function gnet_private_inetaddr_sockaddr_new() and
	  definition of structure _GInetAddr and _GTcpSocket to have a field
	  of type sockaddr_storage instead of sockaddr, if IPv6
	  support is there. Also defined some IPv6 specific macros.

	* socks-private.h: changed the definition of structures socks5_h
	  and sokcs4_h to include field large enough to hold IPv6 address.

2004-05-11  Thomas Vander Stichele  <thomas at apestaart dot org>

	* HACKING:
          add more hacking notes concerning the protocol used.
	* cddb-slave.c: (do_goodbye_response), (do_open_response),
	(do_hello_challenge), (do_hello_response), (do_protocol_challenge),
	(do_protocol_response), (do_query_challenge), (do_query_response),
	(do_read_challenge), (do_read_response), (do_goodbye_challenge),
	(read_from_server), (open_cb), (impl_GNOME_Media_CDDBSlave2_query):
	  - add a protocol stage so we can set protocol level 6 (UTF-8)
	  - reorder challenge/response code so we can follow the flow
          - notify slaves on each error as well
	* cddb-slave2-query.c: (listener_event_cb):
          - show error code on failure

2004-05-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* GNOME_Media_CDDBSlave2.idl:
          add a result for UNKNOWN ENTRY
	* HACKING:
          add some more hacking notes
	* Makefile.am:
          reorganize to include cddb-slave-private
	* cddb-slave-private.c: (cs_set_debug), (cs_debug):
	* cddb-slave-private.h:
          debugging functions
	* cddb-slave-client.c: (finalize),
	(cddb_slave_client_add_listener),
	(cddb_slave_client_remove_listener):
          use debugging
	* cddb-slave.c: (cddb_slave_notify_listeners),
	(do_goodbye_response), (clear_entry_from_cache), (do_goodbye),
	(do_read_response), (do_read), (do_query_response), (do_query),
	(do_hello_response), (do_hello), (do_open_response),
	(read_from_server), (open_cb), (cddb_send_cmd),
	(cddb_entry_is_valid), (cddb_check_cache),
	(impl_GNOME_Media_CDDBSlave2_query),
	(impl_GNOME_Media_CDDBSlave2_save),
	(impl_GNOME_Media_CDDBSlave2_getAllTracks), (finalize),
	(cddb_slave_new_full):
          use debugging everywhere
          store result of lookup when clearing entry from the cache
          so we can return the result for the next lookup for this id
          bytes_writen -> bytes_written
          notify listeners and unref slave even on failed lookups
          only write to .cddb dir from .cddbslave entry if it existed
	* cddb-slave.h:
          add struct member to store the result lookup
	* cddb-slave2-query.c: (display_result), (setup_cb), (query_cb),
	(teardown_cb), (listener_event_cb), (main):
          a test application so we can debug lookups more easily by
          specyfing the cddb query command.
	* main.c: (cddb_destroy_cb), (factory_fn), (cddbslave_init),
	(main):
          add debugging.  check return values.

2004-05-10  Thomas Vander Stichele  <thomas at apestaart dot org>

	* Makefile.am:
	* cddb-slave2-query.c: (listener_event_cb), (display_result),
	(main):
	  add a command-line sample program that performs CDDBSlave2 queries

2004-05-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* cddb-slave.c: (cddb_check_cache):
	  also check .cddb for entries as a fallback, and write them out
	  immediately to our .cddbslave directory
	  fixes #141985

2004-05-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* cddb-slave.c: (cddb_entry_is_valid):
	  make this function create a dummy entry if it didn't exist
	* cddb-track-editor.c: (load_new_track_data),
	  first use is_valid, so an entry exists.  Fixes crasher part of
	  #105703

2004-05-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* GNOME_Media_CDDBSlave2.idl:
	* cddb-parser.c: (cddb_entry_parse_file):
	* cddb-slave-client.c: (cddb_slave_client_is_valid):
	* cddb-slave-client.h:
	* cddb-slave.c: (clear_entry_from_cache), (cddb_entry_is_valid),
	(impl_GNOME_Media_CDDBSlave2_query),
	(impl_GNOME_Media_CDDBSlave2_save),
	(impl_GNOME_Media_CDDBSlave2_isValid), (cddb_slave_class_init):
	* cddb-slave.h:
	* cddb-track-editor.c: (load_new_track_data), (sync_cddb_info):
          add a boolean to entries to mark them as valid, which they become
          either on a successful file/CDDB lookup or by a save from the editor.
          As long as they're not valid, they don't get dummy information,
          which used to get sent to the listeners, causing Unknown Artist
          to be in the gnome-cd window title.
          Part of fix to #114015

2004-04-16  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* cddb-slave-capplet.c (dialog_button_clicked_cb): 
	s/wgoscustlookandfeel.xml/user-guide.xml.

2004-02-20  Ted Gould      <ted@gould.cx>

	* main.c: Patch from Gustavo Giraldez to fix #135002
	which fixes a typo in the previous patch.

2003-10-18  Kjartan Maraas  <kmaraas@gnome.org>

	* cddb-parser.c: (write_line): Fix leak.
	* main.c: (factory_fn), (cddbslave_init): Same and also
	fix a compiler warning.

2003-10-08  Ted Gould      <ted@gould.cx>

	* main.c: Patch from Kjartan Maraas to fix bug #123662
	about some compiler warnings.

2003-10-05  Ted Gould      <ted@gould.cx>

	* cddb-slave-capplet.c:  Removing a signal connection
	to an object that wasn't created.  Signal was being
	attached twice.  Bug # 123390.  Reported and fixed
	by Pav Lucistnik.

2003-08-04  Ted Gould      <ted@gould.cx>

	* cddb-slave-capplet.c:  More HIGification from
	<chris@gnome-de.org> Christian - Manny Calavera -
	Neumair for ui-review bug # 117573.

2003-07-20  Dennis Cranston <dennis_cranston at yahoo com>

	* cddb-slave-capplet.c:  More HIGification from
	<chris@gnome-de.org> Christian - Manny Calavera -
	Neumair for ui-review bug # 117558.
 
2003-07-19  Dennis Cranston <dennis_cranston at yahoo com>

	* cddb-slave-capplet.c:  More HIGification of the dialog.
	Also fix mnemonic conflicts and add missing mnemonics and
	window icon.
	
2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* cddb-slave-capplet.c:  Very minor HIGification.

2003-07-16  Ted Gould      <ted@gould.cx>

	* CDDB-Slave2-schemas.in, cddb-slave-capplet.c:
	Adding a patch that was enclosed in bug 117262 and written by
	chris@gnome-de.org.  The patch changes all instances of "info"
	to "information" as discussed in 105211.

2003-07-15  Ted Gould      <ted@gould.cx>

	* CDDB-Slave2.schemas.in:
	Adding patch that was enclosed in bug 105211.  Patch created by
	chris@gnome-de.org.  It adds descriptions to some of the schema
	entries.

2003-07-09  Ted Gould      <ted@gould.cx>

	* cddb-slave.c, cddb-slave-caplet.c, cddb-parser.c:
	Added in patch from Kjartan Maraas below.  Fixes bug #116804
	Also has an attempt to fix #90788

2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* cddb-slave.desktop.in: Add StartupNotify support and X-Bugzilla
	entries.

2003-05-10  Kjartan Maraas  <kmaraas@gnome.org>
 
 	* cddb-slave-capplet.c (create_dialog): Plug some leaks.
 	
2003-05-07 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* cddb-track-editor.c,main.c: Start CDDBSlave2 per display
	and start the factory only if it is not running, call 
	bonobo_main in the instance which starts the factory
	Fixes Bugs #104882 and #110234

2003-03-28 Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* cddb-slave-capplet.c: Added Help button to the cddb capplet

2003-03-15 Iain <iain@prettypeople.org>

	* cddb-track-editor.c (make_track_editor_control): HIGify it

2002-12-16  Christian Neumair  <chris@gnome-de.org>

	* .cvsignore: Updated.

Wed Nov 13 11:29:22 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	* cddb-slave-client.c :
	Fix for #89092: removed unnecessary code conversion to UTF-8

2002-10-08 Iain <iain@prettypeople.org>

	* CDDBSlave2.schemas.in: Add descriptions

2002-10-08 Iain <iain@prettypeople.org>

	* cddb-slave-capplet.c: Apply a11y patch

2002-09-23  Iain <iain@prettypeople.org>

	* cddb-slave.c (display_results): Set the default size on the window,
	so that it doesn't look so silly

2002-09-03  Michael Meeks  <michael@ximian.com>

	* cddb-slave.c (read_from_server): don't confuse
	errors, and status; handle read errors correctly.

2002-08-21  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* inetaddr.c: Changed inet_aton to inet_pton

2002-08-01  Iain <iain@prettypeople.org>

	* cddb-slave-capplet.c (main): Set the default size on the window.
	(create_dialog): Make the vbox expand
	
2002-08-01  Iain <iain@prettypeople.org>

	* cddb-slave.c (read_from_server): Use G_IO_PRI.

	* cddb-slave-capplet.c (read_from_server): Ditto.

2002-05-21  Jorn Baayen  <jorn@nl.linux.org>

	* cddb-slave-applet.c: use GTK_SHADOW_IN in treeview, align
	entries nicely, add spacing.

2002-07-12  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* cddb-parser.c (cddb_entry_parse_file): Fix for bug 87258

2002-7-05  Rashmi Agrawal <rashmi.agrawal@wipro.com>

	* cddb-slave2/main.c : Changed the permission given to directory
	<user's home directory>/.cddbslave from 775 to 755.

2002-07-17  Michael Meeks  <michael@ximian.com>

	* Makefile.am: install in libexec, do a nice sed.

	* GNOME_Media_CDDBSlave2.server.in.in: point to stuff in libexec.

2002-06-06  Satyajit Kanungo <satyajit.kanungo@wipro.com>

	* Makefile.am :  Added  DATADIR required for help callback 

	* cddb-track-editor.c :Added the Help button in the prefernce dialog
	box and put the help callback.

2002-06-11  Abel Cheung  <maddog@linux.org.hk>

	* cddb-slave-capplet.c: Use GETTEXT_PACKAGE for textdomain calls.

2002-05-30  Iain <iain@ximian.com>

	* cddb-slave.c: Keep a list of all the cddb slaves and notify them all
	when data is ready.
	(cddb_slave_notify_listeners): Notify all the slaves.
	(impl_GNOME_Media_CDDBSlave2_save): Notify the listeners of the new
	data.
	(finalize): Remove the slave from the global list.
	(cddb_slave_new_full): Add the slave to the global list.

2002-05-29  Iain <iain@ximian.com>

	* cddb-slave.c (create_model_from_list): Strip newlines and \r's

2002-05-29  Iain <iain@ximian.com>

	* cddb-slave.c (display_results): Don't expand the label when the 
	window resizes.

2002-05-24  Iain <iain@ximian.com>

	* cddb-track-editor.c (make_track_editor_control): Fix spelling
	error.
	(load_new_track_data): Ditto

2002-05-15  Christophe Merlet  <christophe@merlet.net>

	* Makefile.am: Removed $DESTDIR variable.

2002-08-02  Iain <iain@ximian.com>

	* cddb-disclosure.c (finalise): Fix memory leak

2002-05-02  Iain <iain@ximian.com>

	* cddb-parser.c (cddb_entry_new): Create the realdiscid as well.

2002-05-02  Iain <iain@ximian.com>

	* cddb-slave-client.c: All getters now return utf8.

2002-05-01  Iain <iain@ximian.com>

	* cddb-slave-client.c (impl_GNOME_MEdia_CDDBSlave2_setDiscTitle):
	Check the string isn't NULL.
	(_setArtist): Check the string isn't NULL.
	(*_setComment): Ditto
	(*_setGenre): Ditto.

2002-04-21  Iain <iain@ximian.com>

	* main.c (main): Check for the CDDB_SLAVE_DEBUG envvar.

	* cddb-slave.c: Only print info if CDDB_SLAVE_DEBUG is defined.

2002-04-21  Iain <iain@ximian.com>

	* cddb-track-editor.c: Applied patch from Changwoo Ryu.

2002-04-15  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* inetaddr.c (gnet_inetaddr_new_async): state structure is
	getting allocated twice, so when gnome-cd is started bonobo-
	activation-server is killed

2002-04-14  jacob berkman  <jacob@ximian.com>

	* Makefile.am: add cddb-parser.h to sources

2002-04-14  Iain <iain@ximian.com>

	* cddb-track-editor.c (extra_info_changed): Store the extra info.
	(track_selection_changed): Block the signal handlers before changing
	the info.
	(track_name_edited): Store the new name.
	(make_track_editor_control): Connect the signals to the edittable
	column and the extra_info buffer.

2002-04-14  Iain <iain@ximian.com>

	* cddb-slave-client.c (cddb_slave_client_set_tracks): Fix infinite
	loop.

2002-04-14  Iain <iain@ximian.com>

	* GNOME_Media_CDDBSlave2.idl: Add exceptions to everything.

	* cddb-disclosure.c (draw_indicator): Fix warnings.

	* cddb-parser.c: Fix warnings.

	* cddb-slave-capplet.c: Fix warnings and reset the list when update is
	pressed.

	* cddb-slave-client.c: Fix warnings.

	* cddb-slave.c: Set exceptions everywhere.
	(set_new_string): Given a key and an entry, set the contents of that
	key, or create a new field.
	(impl_GNOME_MEdia_CDDBSlave2_set_AllTracks): Fill in the new track
	data.

	* cddb-track-editor.c (sync_cddb_info): Set the info in the
	trackeditor to the cddb slave.

	* main.c: Use better fake names.

	* socks-private.c: Fix warnings.

	* socks.c: Fix warnings.
	
2002-04-10  Iain <iain@ximian.com>

	* cddb-track-editor.c (make_track_editor_control): Make a new cell
	renderer for each column, so only one will be editable.
	(build_track_list): Add the editable column to the model.

2002-04-02  Iain <iain@ximian.com>

	* GNOME_Media_CDDBSlave2.idl: Add a save method.

	* cddb-parser.c (cddb_entry_parse_file): Don't look for the topline.
	(cddb_entry_new_from_file): Remove the topline stuff.
	(write_topline): Delete.

	* cddb-slave-client.c (cddb_slave_client_save): Wrapper.

	* cddb-slave.c (do_read_response): Don't write out the topline.
	(impl_GNOME_Media_CDDBSlave2_save): Save the entry.
	(impl_*): Don't return any NULLs to CORBA.

2002-04-01  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* Makefile.am: Fix desktopdir (Closes #74767)

2002-03-21  Jayaraj Rajappan <jayaraj.rajappan@wipro.com>

	* cddb-track-editor.c : accessibility changes for setting
        atk relation between the labels and corresponding entries.
        mnemonic keys provided for all labels.

2002-03-09  Iain <iain@ximian.com>

	* cddb-slave.c (open_cb): Don't try to print an int with %s

2002-03-03  Iain <iain@ximian.com>

	* cddb-parser.c (write_line): Code to right a line so that it always
	is at most 80 chars long.
	(write_topline): Form the topline of the file and write it out.
	(write_offsets): Write the offsets into a comment line
	(write_disc_length): Write the disclength into a comment.
	(write_revision): Write the revision.
	(write_version): Write the version.
	(write_headers): Write out all the headers/comments.
	(write_field): Lookup the field in the hashtable and if it exists
	write it out.
	(write_body): Write out all the details for the body.
	(cddb_entry_write_to_file): Dump a CDDBEntry to a file.

2002-03-03  Iain <iain@ximian.com>

	* cddb-slave-client.c: Strdup any returned CORBA strings that aren't
	NULL.

	* cddb-track-editor.c (load_new_track_data): Move function around.
	Block signals before changing data.

2002-03-01  Iain <iain@ximian.com>

	* cddb-track-editor.c (factory_fn): Keep track of our objects.
	(track_editor_destroy_cb): Track objects and quit when they get to 0
	(track_editor_init): Make a nicer error in case another track editor
	is already running.

2002-03-01  Iain <iain@ximian.com>

	* cddb-slave-client.c (cddb_slave_client_add_listener): Unref and
	release the event_source interface after we are done with it.
	(cddb_slave_client_remove_listener): Unref and release the 
	event_source interface.

2002-02-28  Iain <iain@ximian.com>

	* Makefile.am: Fix the gconf schema install rule.

	* cddb-track-editor.c (free_track_info): Free the track info
	structure.
	(artist_changed): Only do stuff if td->info is valid
	(disctitle_changed): Ditto.
	(year_changed): Ditto.
	(genre_changed): Ditto
	(comment_changed): Ditto.

	* cddb-slave-client.[ch]: Add function to free the trackinfo struct.

2002-02-28  Iain <iain@ximian.com>

	* cddb-slave-client.c (cddb_slave_client_get_tracks): Fix buffer
	overrun.

2002-02-27  Iain <iain@ximian.com>

	* .cvsignore: Added some more files.

2002-02-26  Iain <iain@ximian.com>

	* GNOME_Media_CDDBSlave2.idl: Added a CDDBTrackEditor interface.
	Added get and setters for all CDDB properties. Added a TrackInfo
	struct to get all data related to a single track in one go.

	* GNOME_Media_CDDBSlave.server.in: Added the track editor stuff.

	* Makefile.am: Add the IDL stuff to the track editor.

	* cddb-parser.c (parse_comments): Scan the comments for extra info
	that really shouldn't have been in the comments. Dumb spec.
	(calculate_lengths): Given the track offsets calculate the track
	length.
	(cddb_entry_new): Update for new structures.

	* cddb-slave-client.c: Add getters and setters for all the new 
	attributes.

	* cddb-slave-client.h: Add a CDDBSlaveClientTrackInfo struct.

	* cddb-slave.c (remove_entry_from_cache): Rename to
	clear_entry_from_cache (crap name), and instead of removing the entry
	it now sets the entry to a default of Unknown values.
	(impl_GNOME_Media_CDDBSlave2_set/get): Implement the new set and get
	methods.

	* cddb-track-editor.c: Make it into a factory.
	Add default genre names (Nicked from XMMS and added some they missed)
	(make_tree_model): Just make the model, don't fill it yet.
	(secs_to_string): Convert seconds into minutes and seconds.
	(build_track_list): Take the CD data and build a track list.
	(clear_track_list): Duh!
	(load_new_track_data): Get the data from CDDBSlave for the discid
	then build the list and set the values.
	(make_genre_list): Make a GList out of all the genres.
	(track_selection_changed): When the selection changes in the tracklist
	change the comments text.
	(artist_changed): Store the new artist, dirty the entry.
	(disctitle_changed): ditto.
	(year_changed): ditto ditto.
	(genre_changed): ditto ditto ditto ditto.
	(comment_changed): DITTO!
	(make_track_editor_control): Connect signals, add an "Editting: "label
	(cddb_track_editor_from_servant): Get object from servant.
	(mipl_GNOME_Media_CDDBTrackEditor_showWindow): Open an editor window.
	(impl_GNOME_Media_CDDBTrackEditor_setDiscID): Load a new disc id.
	(finalise): Destroy the object.
	Added other boilerplate GObject/BonoboObject code.
	
2002-02-20  Iain <iain@ximian.com>

	* cddb-track-editor.c (main): Set the default size to 670x400 so it
	will fit on a 800x600 screen

2002-02-20  Iain <iain@ximian.com>

	* cddb-track-editor.c: New file. The start of a track editor.

	* cddb-disclosure.[ch]: Disclosure arrow widgets.

	* Makefile.am: Build the cddb-track-editor

2002-02-19  Iain <iain@ximian.com>

	* main.c (main): Create the dir if it doesn't exist, and check that
	its a dir if it does.

2002-02-16  Iain <iain@ximian.com>

	* cddb-slave-client.c: Remove some crap.

2002-02-16  Iain <iain@ximian.com>

	* main.c (factory_fn): Use g_get_user_name.
	(cddb_check_cache): Try to load the entry from a file if it's not in
	the cache.
	(cddb_entry_new_from_file): Build a CDDBEntry from a file.
	(count_tracks): Count the tracks in the hash table.
	(cddb_entry_parse_file): Store the comments and the topline for
	saving.

2002-02-15  Iain <iain@ximian.com>

	* cddb-slave-capplet.c (update_clicked): Disable the update button.
	(do_goodbye_response): Enable the update button and reset the
	connection.
	(read_from_server): Enable the update button.
	(open_cb): Enable the update button.

2002-02-15  Iain <iain@ximian.com>

	* cddb-slave-capplet.c (server_selection_changed): Set the server to
	the newly selected one.
	(create_dialog): Hook up the selection

2002-02-14  Iain <iain@ximian.com>

	* main.c (get_username): Get the current username.
	(get_hostname): Get the hostname.
	(factory_fn): Get the name and hostname stuff from gconf.

	* cddb-slave.[ch] (do_hello): Use the name and hostname stuff instead
	of hardcoding it.
	(finalize): Free the name and hostname.
	(cddb_slave_new_full): Add the name and hostname args
	(cddb_slave_new): Ditto.

2002-02-12  Iain <iain@ximian.com>

	* Makefile.am (cddb_slave2_properties_SOURCES): Add all the gnet
	stuff.

	* cddb-slave-capplet.c: Include gnet.h. Define enums needed for the
	network stuff.
	(PropertyDialog): Add stuff for updating the model from the network.
	(do_goodbye): Network code.
	(do_goodbye_response): Ditto.
	(do_sites_response): Update the server list from the received data.
	(do_sites): Send the sites command.
	(do_hello_response): Network code.
	(do_hello): Do hello.
	(do_open_response): Network code.
	(read_from_server): Ditto.
	(open_cb): Ditto.
	(update_clicked): Start the network update
	(make_tree_model): Add a location column.
	(create_dialog): Put the list in a scrolled window.
	
2002-02-11  jacob berkman  <jacob@ximian.com>

	* Makefile.am (cddb_slave2_properties_SOURCES): this looks like C
	and not asm; fix typo

2002-02-10  Iain <iain@ximian.com>

	* CDDB-Slave2.schemas: Add the new schemas

	* Makefile.am: Build the capplet and make the desktop.

	* cddb-slave-capplet.c: A capplet to configure stuff.

2002-02-10  Iain <iain@ximian.com>

	* cddb-slave-client.c (cddb_slave_client_get_disc_title): Do the CORBA
	stuff for getDiscTitle.
	(cddb_slave_client_get_artist): Ditto.
	(cddb_slave_client_get_ntrks): Ditto.
	(cddb_slave_client_get_track_title): Ditto.
	(cddb_slave_client_get_tracks): Ditto.

	* cddb-slave.c (impl_GNOME_Media_CDDBSlave2_getAllTracks): Fix some
	issues.

2002-02-10  Iain <iain@ximian.com>

	* cddb-parser.c (cddb_entry_parse_file): fix typo.

	* cddb-slave.c (impl_GNOME_Media_CDDBSlave2_getAllTracks): Get all the
	track names.
	(cddb_slave_class_init): Connect the rest of the methods.

2002-02-10  Iain <iain@ximian.com>

	* cddb-slave.c (impl_GNOME_Media_CDDBSlave2_getDiscTitle): Fix for
	case where there's no / in the DTITLE.
	(impl_GNOME_Media_CDDBSlave2_getArtist): Fix for case where there's no
	/ in DTITLE

2002-02-10  Iain <iain@ximian.com>

	* cddb-parser.c (cddb_entry_new): Create a full hashtable.
	(cddb_entry_parse_file): Use g_strsplit to split the line, instead of
	nasty strchr hacks.
	
2002-02-10  Iain <iain@ximian.com>

	* GNOME_Media_CDDBSlave2.idl: Add some fun methods.

	* Makefile.am: Add cddb-parser.c

	* cddbs-alave.c: Add a cddb_cache.
	(remove_entry_from_cache): Remove the entry from the cache when
	something fails.
	(do_read_response): Parse the file into an entry.
	(everywhere): Disconnect on errors.
	(cddb_check_cache): Check the cddb_cache instead of the directory.
	(impl_GNOME_Media_CDDBSlave2_query): Create an Entry. Remove some
	debugging spew.
	(impl_GNOME_Media_CDDBSlave2_getArtist): Get the artists name.
	(impl_GNOME_Media_CDDBSlave2_getNTrks): Get NTrks.
	(impl_GNOME_Media_CDDBSlave2_getDiscTitle): Get disc name.
	(impl_GNOME_Media_CDDBSlave2_getTrackTitle): Get track title.
	(cddb_slave_init): Create a cddb_cache hash table.

	* cddb-slave.h: Make a CDDBEntry struct.
	
2002-02-03  Iain <iain@ximian.com>

	* cddb-slave.c (impl_GNOME_Media_CDDBSlave2_query): Initialise the tag
	to 0.
	(open_cb): Record the tag.
	(do_goodbye_response): Remove the tag.

2002-01-21  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c (cddb_check_cache): Memory leak.

2002-01-26  Gediminas Paulauskas <menesis@delfi.lt>

	* main.c: get translations in UTF-8

2002-01-18  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c: Remove some of the debugging crap.
	(do_read_response): If 409 is returned, call do_hello.
	(do_query_response): Ditto

2002-01-18  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c (do_open_response): Close the connection if we haven't
	been able to log on.

2002-01-18  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c (do_query_response): If response is 211, but only one
	match was returned, then just automatically select it.

2002-01-18  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c: Modularise the commands and the responses.
	(display_results): Create a GUI to display multiple results.
	(create_model_from_list): Create a GtkTreeModel from a list of
	vectors.
	(do_query_response): If the result code is 211, collect a list of
	vectors, and display them then free the list.

2002-01-17  Iain Holmes  <iain@ximian.com>

	* main.c (main): Init the GUI as well.

2002-01-17  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c: Doh, replace <gnet/gnet.h> with "gnet.h"

2002-01-16  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c: Rewrite using gnet functions, rather than just
	plain HTTP.

	* COPYING.LIB: Gnet code license

	* README.GNET: Readme about gnet.

	* gnet.h
	  gnet-private.[ch]
	  inetaddr.[ch]
	  iochannel.[ch]
	  socks.[ch]
	  socks-private.[ch]
	  tcp.[ch]: Files from gnet.

2002-01-11  Iain Holmes  <iain@ximian.com>

	* main.c (main): Register everything in an idle loop.

2001-12-02  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c (cddb_send_read): Update gnome_vfs_async_open.
	(cddb_send_cmd): Same.

2001-11-17  Iain Holmes  <iain@ximian.com>

	* cddb-slave-client.c: Replace CORBA_Object with GNOME_Media_CDDBSlave2
	(finalize): Destroy the objref if it is there.
	(cddb_slave_client_get_type): Replace GtkObjectInitFunc with
	GInstanceInitFunc.
	(cddb_slave_client_construct): Remove the #warning.

	* cddb-slave-client.h: Remove the bonobo-object-client.h include, add
	gobject.h
	Replace all the GTK_CHECK macros with G_TYPE ones.
	Replace BonoboObjectClient with GObject.
	Replace GtkType with GType.

2001-11-17  Iain Holmes  <iain@ximian.com>

	* cddb-slave.c: Remove gtk.h include

	* cddb-slave.h: Replace GtkType with GType and GTK_CHECK macros with
	the G_TYPE ones.

	* main.c: Replace bonobo.h with libbonobo.h
	(cddb_destroy_cb): Replace GtkObject with GObject and gtk_main_quit with
	bonobo_main_quit.
	(factory_fn): Add the component_id parameter. Replace GTK_SIGNAL_FUNC
	with G_CALLBACK.
	(main): Replace bonobo_ui_init with bonobo_init.
	
2001-11-17  Iain Holmes  <iain@ximian.com>

	* cddb-slave-client.c (cddb_slave_client_remove_listener): Correct the
	return type. Fix the inline docs too.

	* cddb-slave-client.h: Add some more function prototypes.

	* Makefile.am: Use the CDDBSLAVE link line

	* GNOME_Media_CDDBSlave2.idl: Add a Result enum and a QueryResult
	structure so that clients can get better error reporting.

	* cddb-slave.c (cddb_slave_notify_listeners): Take a result value as 
	well, and create a QueryResult structure to pass to the listeners.
	(cddb_close_data_cb): Pass the discid and result.
	(cddb_close_cb): Pass the discid and result.
	(cddb_open_cb): Pass the discid and result.
	(cddb_send_cmd): Pass the discid and result.
	(impl_GNOME_Media_CDDBSlave2_query): Pass the discid and result.
	
2001-11-03  Iain Holmes  <iain@ximian.com>

	* main.c (main): Updated for new glib-gettext
